Name:           python-google-cloud-bigquery
Version:        3.31.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Google BigQuery API client library

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/googleapis/python-bigquery
Source:         %{pypi_source google_cloud_bigquery}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'google-cloud-bigquery' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-google-cloud-bigquery
Summary:        %{summary}

%description -n python3-google-cloud-bigquery %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-google-cloud-bigquery all,bigquery_v2,bqstorage,geopandas,ipython,ipywidgets,opentelemetry,pandas,tqdm


%prep
%autosetup -p1 -n google_cloud_bigquery-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,bigquery_v2,bqstorage,geopandas,ipython,ipywidgets,opentelemetry,pandas,tqdm


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-google-cloud-bigquery -f %{pyproject_files}


%changelog
%autochangelog